markedabeliangroup.h File Reference

Deals with abelian groups given by chain complexes. More...

`#include <vector>`
`#include <memory>`
`#include "regina-core.h"`
`#include "output.h"`
`#include "maths/matrix.h"`
`#include "utilities/ptrutils.h"`
`#include <boost/noncopyable.hpp>`

## Classes

class | regina::MarkedAbelianGroup
| Represents a finitely generated abelian group given by a chain complex. More...
class | regina::HomMarkedAbelianGroup
| Represents a homomorphism of finitely generated abelian groups. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef MarkedAbelianGroup | regina::NMarkedAbelianGroup
| Deprecated typedef for backward compatibility. More...
typedef HomMarkedAbelianGroup | regina::NHomMarkedAbelianGroup
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Deals with abelian groups given by chain complexes.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).